# GimpUi.IntRadioFrame.set_sensitivity

    @accepts(GimpUi.IntRadioFrame, GimpUi.IntRadioFrameSensitivityFunc, gpointer, GLib.DestroyNotify)
    @returns(none)
    def set_sensitivity(self, func, data, destroy):
        # Python wrapper for gimp_int_radio_frame_set_sensitivity()

Sets a function that is used to decide about the sensitivity of radio buttons in the self. Use this if you want to set certain radio buttons insensitive.

Calling gtk_widget_queue_draw() on the self will cause the sensitivity to be updated.

Since 3.0

self

  a GimpUi.IntRadioFrame

func

  a function that returns a boolean value, or None to unset

data

  data to pass to func

destroy

  destroy notification for data